#include "app_util_platform.h"
#include "nrf_delay.h"
#include "nrf_gpio.h"
#include "nrf_spi_mngr.h"
#include "boards.h"
#include "nrf_log_ctrl.h"
#include "nordic_common.h"

#define SPI_CLK 3
#define SPI_DATA 4
#define GUARD1 33
#define GUARD2 34
#define SPI_CSB 42
#define SPI_DATACOM 43
#define RESET 46
#define BUSY 47

#define EPD_QUEUE_LENGTH     1
#define EPD_SPI_INSTANCE_ID  0

//COMMAND TABLE
/****************************************************************************************/
#define CMD_PSR                 0x00    //Panel Setting                     W
#define CMD_PWR                 0x01    //Power Setting                     W
#define CMD_POF                 0x02    //Power OFF                         W
#define CMD_PFS                 0x03    //Power OFF Sequence Setting        W
#define CMD_PON                 0x04    //Power ON                          W
#define CMD_PMES                0x05    //Power ON Measure                  W
#define CMD_BTST                0x06    //Booster Soft Start                W
#define CMD_DTM1                0x10    //Display Start Transmission 1      W
                                        //x-byte command
#define CMD_DSP                 0x11    //Data Stop                         R
#define CMD_DRF                 0x12    //Display Refresh                   W
#define CMD_DTM2                0x13    //Display Start transmission 2      W
                                        //y-byte command
//0x20~0x27 (16-byte command,bytes 2~4 repeated 5 times)                                      
#define CMD_LUTC1               0x20    //Vcom1 LUT                         W                
#define CMD_LUTW                0x21    //White LUT                         W              
#define CMD_LUTB                0x22    //Black LUT                         W              
#define CMD_LUTG1               0x23    //Gray1 LUT                         W              
#define CMD_LUTG2               0x24    //Gray2 LUT                         W              
#define CMD_LUTC2               0x25    //Vcom2 LUT                         W              
#define CMD_LUTR0               0x26    //Red0 LUT                          W             
#define CMD_LUTR1               0x27    //Red1 LUT                          W             

#define CMD_PLL                 0x30    //PLL control                       W               

#define CMD_CDI                 0x50    //Vcom and data interval setting    W                              
#define CMD_LPD                 0x51    //Lower Power Detection             R 

#define CMD_TCON                0x60    //TCON setting                      W            
#define CMD_TRES                0x61    //Resolution setting                W                  
#define CMD_REV                 0x70    //Revision                          R        
#define CMD_FLG                 0x71    //Get Status                        R          
#define CMD_AMV                 0x80    //Auto Measurement Vcom             W                     
#define CMD_VV                  0x81    //Read Vcom Value                   R               
#define CMD_VDCS                0x82    //VCM_DC Setting                    W     

void testing(void);

